# #富文本编辑器组件

## #安装 `tinymce`

```
$ npm install @tinymce/tinymce-vue -S

npm install tinymce -S
```
## #使用方法

安装之后，在 `node_modules` 中找到 `tinymce/skins` 目录，然后将 `skins` 目录拷贝到 `static` 目录下

文中所有 `static` 目录相关都这样处理

tinymce 默认是英文界面，所以还需要下载一个中文语言包：

中文：https://tinymce-services.azurewebsites.net/1/i18n/download?langs=zh_CN

然后将这个语言包放到 static 目录下，为了结构清晰，包一层 tinymce 目录

>注: 目前这些样式文件已经在这个仓库中 `static` 目录,不用再去找 `skin`目录 和下载语言包

```
static
|____tinymce
     |___skins
     |___zh_CN.js

<tinymce-edit ref="tinymceWrap" :bodyHtml="ruleForm.gradeDescribe" :projectName="projectName"></tinymce-edit>


import tinymceEdit from 'components/tinymce-edit'

父组件通过 `this.$refs.tinymceWrap.tinymceHtml` 获取富文本中内容
```

### #公共上传图片请求方法

```
/**
 * method: 'post'
 *  data: params
 *
 */
export const postForm = (url, params) => {
  params.requestProject = "gic-clique"; // 当前项目名需要修改成各个对应的项目名
  return Vue.axios({
    method: 'post',
    url: `${local}${url}`,
    data: params,

    headers: {}
  });
}
```

>注:引入路径修改成自己的路径,
当前项目名需要修改成各个对应的项目名

>注: 注意看下当前组件中引入的公共方法路径,和当前组件的位置

